QGIS Application - Bug report #9100
Processing Distance Matrix tool not working
2013-11-20 03:44 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17745
Description

1) Add the attached "points” shapefile.
2) Use the Processing toolbox Distance Matrix - configure as attached screenshot.
3) Press Run.

For me at least, the dialog disappears and then absolutely nothing happens. No errors, no alerts, nothing in the logs.

There's a second failure mode too. If the output matrix type is "standard", | get a python error instead:

Traceback (most recent call last):
File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 150, in execute
self.processAlgorithm(progress)

File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\algs\\ftools\\PointDistance.py", line 98, in processAlgorithm
self.regularMatrix(inLayer, inField, targetLayer, targetField, nPoints, progress)

File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\algs\\ftools\\PointDistance.py", line 178, in regularMatrix
data.append(unicode(outFeat.attributes[outldx]))

TypeError: 'builtin_function_or_method' object has no attribute ' __getitem___

History

#1 - 2013-11-20 03:45 AM - Jonathan Moules
- File Clipboard01.png added

#2 - 2013-11-20 03:49 AM - Filipe Dias

Can you also test with a more recent code revision? It's available via the Plugin Installer.

#3 - 2013-11-20 03:50 AM - Jonathan Moules

Due to proxy issues | can't access the plugin installer. Sorry.

#4 - 2013-11-20 03:56 AM - Alexander Bruy
- Resolution set to worksforme

- Status changed from Open to Closed

Works in master.
Please, don't post Processing issues in QGIS tracker!

#5 - 2013-11-20 04:05 AM - Jonathan Moules

Alexander Bruy wrote:

Works in master.

Please, don't post Processing issues in QGIS tracker!

a) There is a "Processing (SEXTANTE)" category on this tracker

b) How many trackers are there for all of the components of QGIS? How is a user supposed to find them all and know what goes in what tracker? QGIS

has tons of disparate components.

#6 - 2013-11-20 04:07 AM - Filipe Dias

This is the Processing's bug tracker. | believe the idea is to clean the current Processing bugtracker and then merge it with the main bugtracker.

https://issues.qgis.org/projects/sextante/issues

If you wish to use the most recent code with 2.0.1, you can go to Github, download the code and copy the folder python/plugins/processing and replace on

your installation.

#7 - 2013-11-20 04:13 AM - Alexander Bruy

Jonathan Moules wrote:

b) How many trackers are there for all of the components of QGIS? How is a user supposed to find them all and know what goes in what tracker?

QGIS has tons of disparate components.

Go to "Projects” page and you will see all available trackers. If you post bug in wrong tracker there is a big chance that it will be never fixed.

#8 - 2013-11-20 04:17 AM - Jonathan Moules

Alexander Bruy wrote:

Go to "Projects" page and you will see all available trackers. If you post bug in wrong tracker there is a big chance that it will be never fixed.

| wasn't aware of that page. Thanks.

#9 - 2013-11-20 07:14 AM - Jonathan Moules

Have downloaded the 2.1 weekly and "standard" is still broken, though in a slightly different way. "Linear" is also still a bit buggy. Will open tickets

elsewhere.
https://issues.qgis.org/projects/sextante/issues

#10 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

Files
points.zip 6.12 KB 2013-11-20 Jonathan Moules
Clipboard01.png 32.2 KB 2013-11-20 Jonathan Moules

2025-04-27

3/3



